Page MenuHomePhabricator

Provide web notifications when user is sent an email via Special:Emailuser
Closed, ResolvedPublic

Description

Throwing this here because this is an interesting idea. A Polish Wikipedia user suggested that Echo should provide notifications when user is sent an email via Special:Emailuser, since some people check Wikipedia more often than their mail :)

Not sure how it would fit into Echo (e-mail notifications for this would have to be disabled, for example), but I'm filing the bug nevertheless. Please implement or WONTFIX :)

(Suggested at https://pl.wikipedia.org/w/index.php?title=Dyskusja_wikipedysty:Matma_Rex&oldid=37492343#pytanie_.26_propozycja .)

Details

Reference
bz54130

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:47 AM
bzimport added a project: Notifications.
bzimport set Reference to bz54130.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Sep 14 2013, 7:30 PM
brion added a comment.Sep 16 2013, 3:23 PM

What I'd recommend is more like:

  • add a sane user-to-user private messaging system that integrates with Echo, and so provides email and on-site notifications by default
  • kill Special:EmailUser with fire
  • redirect one to the other

But adding echo notifications onto special:emailuser is probably an ok intermediate step. :)

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/250

This was suggested by someone on enwiki too, and I agree.

Just as Mentions solves the need to use {{talkback}}, this feature would solve the need to use {{You've got mail}}.

It's feature request #7 in the list of selected bugs and feature requests (https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications#Echo_-_selected_open_bugs_and_feature_requests)

Mattflaschen-WMF triaged this task as Low priority.Dec 10 2014, 7:17 PM

This is a good idea, just not something we'll get to right away.

Quiddity added subscribers: jhsoby, Aklapper.

From the ^ merged task:

A user in nowiki asked if it's possible to get an Echo notification when someone sends you an email (via [[Special:EmailUser]]). This would be handy for users who use a separate account for Wikimedia stuff, which they don't necessarily check regurarly.

Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 9:14 AM
Man77 added a subscriber: Man77.Jul 28 2015, 5:16 PM

This should be easy enough to implement.

  • In core, the EmailUserComplete hook needs to be extended to give the User objects, and not just their emails (since emails are technically not unique)
  • In Echo the new event has to be defined and hook has to be handled, the code for this should be similar to existing ones like 'welcome' or 'user-rights' events (but has to be carefully found, copied, pasted and corrected).

The new code should be smart and must not trigger an additional echo e-mail which might have been configured for other cases. Perhaps a new notification class, not necessarily with opt-out, like e-mail-has-changed which has no echo-preference entry.

mfb added a subscriber: mfb.Sep 4 2015, 7:18 PM
Luke081515 added a subscriber: Luke081515.
Luke081515 awarded a token.
mfb awarded a token.Sep 13 2015, 1:27 PM

Change 239582 had a related patch set uploaded (by Umherirrender):
Add a emailuser web notification

https://gerrit.wikimedia.org/r/239582

matej_suchanek added a project: User-notice.

Change 239582 merged by jenkins-bot:
Add an emailuser web notification

https://gerrit.wikimedia.org/r/239582

@Umherirrender resolved, or is there still something which needs to be done?

Umherirrender closed this task as Resolved.Sep 22 2015, 4:16 PM

@Umherirrender resolved, or is there still something which needs to be done?

It just needs the status change which is a manual todo, because some Tasks need more than one patch to merge before getting resolved.

Nirmos reopened this task as Open.Sep 29 2015, 10:58 AM
Nirmos added a subscriber: Nirmos.

The option is there, but it is not enabled by default. I cannot imagine that this is intentional.

PerfektesChaos added a comment.EditedSep 29 2015, 11:56 AM

I learnt that it was intentional.

The idea is that those who are frequently checking their mail account should not be bothered by the echo system, while others using a separate account for wiki affairs (like me) never check this mailbox until notified.

Both viewpoints are valid, but there is only one default; opt-in or opt-out approach. Personally I would tend to opt-out preference.

https://de.wikipedia.org/wiki/Benutzer:PerfektesChaos/E-Mail-Hinweis

Aklapper closed this task as Resolved.Sep 29 2015, 1:21 PM

Changing status back to resolved as per last comment (which does not block continuing discussing).

The option is there, but it is not enabled by default. I cannot imagine that this is intentional.

Feel free to open a new task, if you want a change of this. Maybe other people also think about. I have choose this way for the reason PerfektesChaos wrote.

The option is there, but it is not enabled by default. I cannot imagine that this is intentional.

Feel free to open a new task, if you want a change of this. Maybe other people also think about. I have choose this way for the reason PerfektesChaos wrote.

Filed as T133927: Enable by default "Email from other user" notification on all wikis